% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

% color and font settings
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% define colors
\definecolor{ekut-red}{RGB}{165,30,55}
\definecolor{ekut-grey}{RGB}{50,65,75}
\definecolor{ekut-gold}{RGB}{180,160,105}
\definecolor{ekut-mudblue}{RGB}{65,90,140}
\definecolor{ekut-blue}{RGB}{0,105,170}
\definecolor{ekut-lightblue}{RGB}{80,170,200}
\definecolor{ekut-lightgreen}{RGB}{130,185,160}
\definecolor{ekut-green}{RGB}{125,165,75}
\definecolor{ekut-darkgreen}{RGB}{50,110,30}
\definecolor{ekut-lightred}{RGB}{200,80,60}
\definecolor{ekut-purple}{RGB}{175,110,150}
\definecolor{ekut-greybrown}{RGB}{180,160,150}
\definecolor{ekut-sand}{RGB}{215,180,105}
\definecolor{ekut-orange}{RGB}{210,150,0}
\definecolor{ekut-brown}{RGB}{145,105,70}

% set colors
\mode<presentation>

\setbeamercolor{caption name}{fg=ekut-grey}
\setbeamercolor{enumerate item}{fg=ekut-red, bg=ekut-red}
\setbeamercolor{item projected}{fg=ekut-red, bg=ekut-red}
\setbeamercolor{title}{fg=ekut-grey}
\setbeamercolor{normal text}{fg=ekut-grey}
\setbeamercolor{alerted text}{fg=ekut-red}
\setbeamercolor{positive}{fg=ekut-green}
\setbeamercolor{negative}{fg=ekut-red}
\setbeamercolor{example text}{fg=ekut-grey}
\setbeamercolor{structure}{fg=ekut-red}
\setbeamercolor{palette primary}{fg=ekut-red,bg=ekut-grey}
\setbeamercolor{palette secondary}{fg=ekut-red,bg=ekut-grey}
\setbeamercolor{palette tertiary}{fg=ekut-red,bg=ekut-grey}
\setbeamercolor{palette quaternary}{fg=ekut-red,bg=ekut-grey}
\setbeamercolor{sidebar}{bg=ekut-red}
\setbeamercolor{palette sidebar primary}{fg=ekut-grey}
\setbeamercolor{palette sidebar secondary}{fg=ekut-grey}
\setbeamercolor{palette sidebar tertiary}{fg=ekut-grey}
\setbeamercolor{palette sidebar quaternary}{fg=ekut-grey}
\setbeamercolor{block title}{fg=white,bg=ekut-red}
\setbeamercolor{block title alerted}{fg=white,bg=ekut-red}
\setbeamercolor{block title example}{fg=white,bg=ekut-red}
\setbeamercolor{block body}{fg=ekut-grey,bg=ekut-grey!10}
\setbeamercolor{block body alerted}{fg=ekut-grey,bg=ekut-grey!10}
\setbeamercolor{block body example}{fg=ekut-grey,bg=ekut-grey!10}
\setbeamercolor{separation line}{fg=ekut-gold,bg=ekut-grey!50}
\setbeamercolor{fine separation line}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{frametitle}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{headline}{fg=ekut-grey,bg=white}
\setbeamercolor{footline}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{footline shaded}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{section in head}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{section in foot}{fg=ekut-grey,bg=ekut-grey}
\setbeamercolor{subsection in head/foot}{fg=ekut-grey,bg=ekut-grey}

\mode
<all>
